# os::sbi - Rust
API documentation for the Rust `sbi` mod in crate `os`.
Keywords: rust, rustlang, rust-lang, sbi

# Module os::sbi

source · [−]

## Constants

SBI_CLEAR_IPI
SBI_CONSOLE_GETCHAR
SBI_CONSOLE_PUTCHAR
SBI_REMOTE_FENCE_I
SBI_REMOTE_SFENCE_VMA
SBI_REMOTE_SFENCE_VMA_ASID
SBI_SEND_IPI
SBI_SET_TIMER
SBI_SHUTDOWN

## Functions

console_getchar

use sbi call to getchar from console (qemu uart handler)

console_putchar

use sbi call to putchar in console (qemu uart handler)

sbi_call
shutdown

use sbi call to shutdown the kernel